datacache <- new.env(hash=TRUE, parent=emptyenv())

moex10stv1mmug <- function() showQCData("moex10stv1mmug", datacache)
moex10stv1mmug_dbconn <- function() dbconn(datacache)
moex10stv1mmug_dbfile <- function() dbfile(datacache)
moex10stv1mmug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
moex10stv1mmug_dbInfo <- function() dbInfo(datacache)

moex10stv1mmugORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "moex10stv1mmug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "moex10stv1mmug", "chip moex10stv1mmug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("moex10stv1mmug.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(moex10stv1mmug_dbconn())
}

